using System;

namespace ConsoleApp33
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            string [] moze = new string[t];
            for (int i = 0; i < t; i++)
            {
                string[] q = Console.ReadLine().Split();
                int n = int.Parse(q[0]);
                int m = int.Parse(q[1]);
                int k = int.Parse(q[2]);
                int pomoc1 = n / k;
                int pomoc2 = n % k;
                int minban = k * (pomoc1 * (pomoc1 + 1) / 2) + pomoc2 * (pomoc1 + 1);
                if (!(m < minban)) moze[i] = "Tak";
                else moze[i] = "Nie";
            }
            for(int i = 0; i < t; i++)
            {
                Console.WriteLine(moze[i]);
            }

        }
    }
}